﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OrganizerPreview
{
    // Termin für die Vorschau in der Listbox
    public class PreviewEvent: IComparable
    {
        public DateTime Date { private set; get; }
        public string Description { private set; get; }

        public PreviewEvent(DateTime date, string description)
        {
            Date = date;
            Description = description;
        }

        // Interface IComparable
        // um die Termine sortieren zu können anhand Datum
        public int CompareTo(object obj)
        {
            int rc = 0;
            PreviewEvent pe = (PreviewEvent)obj;

            if (this.Date < pe.Date) rc = -1;
            if (this.Date > pe.Date) rc = 1;
            return rc;
        }
    }
}
